package cz.cvut.kbss.reporting.persistence.dao;

import cz.cvut.kbss.reporting.model.OccurrenceReport;
import cz.cvut.kbss.reporting.model.Tag;
import java.util.List;
import org.springframework.stereotype.Repository;

@Repository
public class OccurrenceReportDao extends BaseDao<OccurrenceReport> {

    public OccurrenceReportDao() {
        super(OccurrenceReport.class);
    }

    @Override
    public List<OccurrenceReport> findAll() {
        return em.createNamedQuery(OccurrenceReport.FIND_ALL, OccurrenceReport.class).getResultList();
    }

    /**
     * Finds {@link OccurrenceReport} instances by specific tag.
     *
     * @param tag tag to filter by
     * @return List of instances, empty list if none matches
     */
    public List<OccurrenceReport> findAll(Tag tag) {
        return em.createNamedQuery(OccurrenceReport.FIND_ALL_BY_TAG, OccurrenceReport.class)
            .setParameter("tag", tag)
            .getResultList();

    }
}
