package cz.cvut.kbss.reporting.service.repository;

import cz.cvut.kbss.reporting.model.Tag;
import cz.cvut.kbss.reporting.persistence.dao.GenericDao;
import cz.cvut.kbss.reporting.persistence.dao.TagDao;
import cz.cvut.kbss.reporting.service.security.SecurityUtils;
import java.time.LocalDateTime;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

public class TagService extends AbstractRepositoryService<Tag>  {

    private final TagDao dao;
    private final SecurityUtils securityUtils;

    @Override
    protected GenericDao<Tag> getPrimaryDao() {
        return dao;
    }

    public TagService(TagDao dao, SecurityUtils securityUtils) {
        this.dao = dao;
        this.securityUtils = securityUtils;
    }

    @Override
    void prePersist(Tag instance) {
        instance.setCreated(LocalDateTime.now());
    }

}
